Name:		converseen
Version:	0.9.6.2
Release:	%mkrel 1
Summary:	A batch image conversion tool
Group:		Graphics/Editors and Converters
License:	GPLv3
URL:		http://converseen.fasterland.net/
Source0:	http://downloads.sourceforge.net/converseen/%{name}-%{version}.tar.bz2

BuildRequires:	kf5-macros
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(ImageMagick++)
BuildRequires:	imagemagick

Requires:	graphviz

%description
Converseen is a batch image conversion tool and resizer written in C++ with Qt5
and Magick++.  Converseen allows you to convert images in more than 100
different formats!


%prep
%setup -q

%build
%cmake_qt5

%make_build

%install
%make_install -C build

%files
%doc README.md
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/pixmaps/%{name}.png
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_services}/ServiceMenus/%{name}_import.desktop
%{_kf5_datadir}/%{name}/
%{_kf5_appdatadir}/%{name}.appdata.xml


%changelog
* Sat Jun 03 2017 akien <akien> 0.9.6.2-1.mga6
+ Revision: 1105915
- Version 0.9.6.2

* Sat May 27 2017 shlomif <shlomif> 0.9.6.1-2.mga6
+ Revision: 1105210
- rebuild for new imagemagick

* Fri Feb 03 2017 daviddavid <daviddavid> 0.9.6.1-1.mga6
+ Revision: 1084653
- new version: 0.9.6.1

* Thu Sep 29 2016 daviddavid <daviddavid> 0.9.5.2-1.mga6
+ Revision: 1057512
- new version: 0.9.5.2
- remove merged upstream patch

* Wed Sep 14 2016 daviddavid <daviddavid> 0.9.5.1-1.mga6
+ Revision: 1052604
- new version: 0.9.5.1
- remove merged upstream completed_french_translation patch

* Wed Aug 31 2016 daviddavid <daviddavid> 0.9.5-2.mga6
+ Revision: 1049617
- add patch to complete French translation
  * https://github.com/Faster3ck/Converseen/pull/29

* Tue Aug 30 2016 daviddavid <daviddavid> 0.9.5-1.mga6
+ Revision: 1049533
- new version: 0.9.5
- port to Qt5
- add patch to fix ServiceMenus path from plasma 5

* Sun Feb 14 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 959822
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 905919
- new version: 0.9.2
- update URL
- fix owner of data dir

* Mon Aug 31 2015 cjw <cjw> 0.8.3-4.mga6
+ Revision: 871576
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.8.3-3.mga6
+ Revision: 744278
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.3-2.mga5
+ Revision: 678531
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 bersuit <bersuit> 0.8.3-1.mga5
+ Revision: 670406
- Update to new Upstream version 0.8.3

* Sat Aug 23 2014 fwang <fwang> 0.8.2-1.mga5
+ Revision: 666769
- 0.8.2

* Sun Jun 29 2014 bersuit <bersuit> 0.7.2.1-1.mga5
+ Revision: 641227
- Update to new Upstream version 0.7.2.1

* Wed Mar 19 2014 bersuit <bersuit> 0.6.8-1.mga5
+ Revision: 605873
- Update to new upstream version

* Sat Oct 19 2013 umeabot <umeabot> 0.6.4-4.mga5
+ Revision: 535164
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.6.4-3.mga4
+ Revision: 481477
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.6.4-2.mga4
+ Revision: 464398
- rebuild for new imagemagick

* Sun Jul 28 2013 fwang <fwang> 0.6.4-1.mga4
+ Revision: 459731
- new version 0.6.4

* Fri May 31 2013 fwang <fwang> 0.6.2-1.mga4
+ Revision: 433550
- use cmake
- update file list
- new version 0.6.2

* Tue May 28 2013 fwang <fwang> 0.5.3-2.mga4
+ Revision: 429147
- rebuild for new imagemagick

* Sun Apr 07 2013 bersuit <bersuit> 0.5.3-1.mga3
+ Revision: 409020
- Update to 0.5.3: it works with ImageMagick >= 6.8.0

* Thu Feb 07 2013 juancho <juancho> 0.5.2.1-1.mga3
+ Revision: 395052
- Updated to 0.5.2.1 (bugfix only release)

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 348119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 0.5.2-1.mga3
+ Revision: 340957
- Updated to 0.5.2

* Fri Dec 14 2012 fwang <fwang> 0.5.1-3.mga3
+ Revision: 330751
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.5.1-2.mga3
+ Revision: 305103
- update rpm group
- rebuild for new imagemagick

* Tue Jul 31 2012 shlomif <shlomif> 0.5.1-1.mga3
+ Revision: 276763
- New version 0.5.1 - thanks to fedya.

* Wed Jun 06 2012 juancho <juancho> 0.5-1.mga3
+ Revision: 256078
- Updated to 0.5

* Thu Feb 02 2012 juancho <juancho> 0.4.9-1.mga2
+ Revision: 204004
- Fixed group
- imported package converseen

